Name:           ocaml-lwt
Version:        2.3.1
Release:        2
Summary:        Cooperative light-weight thread library for OCaml
Group:          Development/Other
License:        LGPLv2+ with exceptions
URL:            http://ocsigen.org/lwt/
Source0:        http://ocsigen.org/download/lwt-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}
BuildRequires:  ocaml-findlib
BuildRequires:  camlp4
BuildRequires:  ocaml-ssl >= 0.4.0
BuildRequires:  ocaml-react
BuildRequires:  ocaml-lablgtk2
BuildRequires:	ocaml-text
BuildRequires:	ncurses-devel
BuildRequires:	libev-devel
Requires:  ocaml-react
Requires:  ocaml-lablgtk2

%description
Lwt is a lightweight thread library for Objective Caml.
This library of cooperative threads is implemented in monadic style.
With respect to preemptive threads, cooperative threads are not using a
scheduler to distribute processor time between threads. Instead of this,
each thread must tell the others that he wants to let them work.
This library is part of the Ocsigen project.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Other
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%package doc
Summary:        Documentation for %{name}
Group:          Development/Other
Requires:       %{name} = %{version}-%{release}

%description doc
The %{name}-doc package contains documentation for %{name}.

%prep
%setup -q -n lwt-%{version}

mv README README.old
iconv -f iso-8859-1 -t utf-8 < README.old > README

%build
ocaml setup.ml -configure --prefix %{_prefix} --destdir '%{buildroot}' --docdir %{_docdir}/%{name}-doc/
make
make doc

%install
export OCAMLFIND_DESTDIR=%{buildroot}%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR $OCAMLFIND_DESTDIR/stublibs
make install

%files
%doc LICENSE COPYING
%dir %{_libdir}/ocaml/lwt
%{_libdir}/ocaml/lwt/META
%{_libdir}/ocaml/lwt/*.cma
%{_libdir}/ocaml/lwt/*.cmi
%{_libdir}/ocaml/lwt/*.cmxs

%files devel
%{_libdir}/ocaml/lwt/*.a
%{_libdir}/ocaml/lwt/*.h
%{_libdir}/ocaml/lwt/*.ml
%{_libdir}/ocaml/lwt/*.cmxa
%{_libdir}/ocaml/lwt/*.mli
%{_libdir}/ocaml/stublibs/*.so*

%files doc
%doc LICENSE COPYING CHANGES README
%{_docdir}/


%changelog
* Mon Sep 19 2011 Alexandre Lissy <alissy@mandriva.com> 2.3.1-2
+ Revision: 700303
- Adding BuildRequires against ncurses-devel
- Release bump, to rebuild against new ocaml
- Updating ocaml-lwt to 2.3.1
  Adding dependency against ocaml-text and libev-devel
  Adding -doc package
  Cleanup of spec file

* Thu Aug 12 2010 Florent Monnier <blue_prawn@mandriva.org> 2.1.1-1mdv2011.0
+ Revision: 569283
- updated version

* Thu Apr 22 2010 Florent Monnier <blue_prawn@mandriva.org> 2.1.0-1mdv2010.1
+ Revision: 538031
- update to new version 2.1.0

* Wed Apr 07 2010 Florent Monnier <blue_prawn@mandriva.org> 2.0.0-1mdv2010.1
+ Revision: 532794
- needs camlp4 to compile
- updated to version 2.0.0

* Sun Aug 09 2009 Florent Monnier <blue_prawn@mandriva.org> 1.1.0-1mdv2010.0
+ Revision: 412966
- spec file made from the fedora's one by Richard Jones

